# Add Gang & Tribute Zone

### **Config (`cfg.lua`)** <a href="#config-cfg.lua" id="config-cfg.lua"></a>

If you want to add new gang or tribute zone, you must add it to the config. I will explain how to add.

#### Add New Gang <a href="#add-new-gang" id="add-new-gang"></a>

* We need use **ox\_lib** zone creation for add new gang. After installed ox\_lib, write **/zone poly** command in-game and open zone editor. Once you have selected the points you want, save them with any name. Go to ox\_lib/created\_zones.lua and you will see similar below picture. Copy **points** table and **thickness**.
* ![](https://docs.rainmad.com/~gitbook/image?url=https%3A%2F%2F1412252335-files.gitbook.io%2F%7E%2Ffiles%2Fv0%2Fb%2Fgitbook-x-prod.appspot.com%2Fo%2Fspaces%252Foq2jiMT5ypNabdHJmbuC%252Fuploads%252F0VQOzvazm216k0pSY2go%252Fimage.png%3Falt%3Dmedia%26token%3D40986d31-1629-4fd7-9383-6a579850f517\&width=300\&dpr=4\&quality=100\&sign=b358a027\&sv=1)
* Open the config file. (**rm\_gangs/cfg.lua**)
* Find this lines:

  ```lua
  cfg.gangs
  ```
* Add new gang like this:

  ```lua
  ['newGangName'] = { -- /setjob /setgang name
          color = '#newGangColor',
          territory = { -- created_zones.lua points, paste here
              points = {
                  vec3(857.0, -833.0, 43.0),
                  vec3(846.0, -346.0, 43.0),
                  vec3(942.0, -327.0, 43.0),
                  vec3(1020.0, -213.0, 43.0),
                  vec3(1206.0, -270.0, 43.0),
                  vec3(1224.0, -363.0, 43.0),
                  vec3(1271.0, -538.0, 43.0),
                  vec3(1380.0, -569.0, 43.0),
                  vec3(1370.0, -757.0, 43.0),
              },
              thickness = 68.0, -- created_zones.lua thickness, paste here
          },
          locations = { -- new gang coords, if you want remove any menu, just comment line example: stash below
              menu = vec3(0.0, 0.0, 0.0),
              clothing = vec3(0.0, 0.0, 0.0),
              garage = vec4(0.0, 0.0, 0.0, 0.0),
              --stash = vec3(0.0, 0.0, 0.0),
          },
      },
  ```

#### Add New Tribute Zone <a href="#add-new-tribute-zone" id="add-new-tribute-zone"></a>

* We need use **ox\_lib** zone creation for add new tribute zone. After installed ox\_lib, write **/zone poly** command in-game and open zone editor. Once you have selected the points you want, save them with any name. Go to ox\_lib/created\_zones.lua and you will see similar below picture. Copy **points** table and **thickness**.
* ![](https://docs.rainmad.com/~gitbook/image?url=https%3A%2F%2F1412252335-files.gitbook.io%2F%7E%2Ffiles%2Fv0%2Fb%2Fgitbook-x-prod.appspot.com%2Fo%2Fspaces%252Foq2jiMT5ypNabdHJmbuC%252Fuploads%252FCE8yAKT1KbeM6ANuVb4v%252Fimage.png%3Falt%3Dmedia%26token%3D9031c265-4288-4edf-8cdc-622e8213fdb6\&width=300\&dpr=4\&quality=100\&sign=c2517ac2\&sv=1)
* Open the config file. (**rm\_gangs/cfg.lua**)
* Find this lines:

  ```lua
  cfg.tributeZones
  ```
* Add new tribute zone like this:

  ```lua
  {
          name = 'new_tribute_zone',
          label = 'New Tribute Zone',
          paymentAmount = 1500,
          npc = {
              model = `a_m_m_bevhills_02`,
              coord = vec4(82.78, -1553.80, 29.60, 50.47), -- tribute giving npc position
          },
          territory = {
              points = { -- created_zones.lua points, paste here
                  vec3(857.0, -833.0, 43.0),
                  vec3(846.0, -346.0, 43.0),
                  vec3(942.0, -327.0, 43.0),
                  vec3(1020.0, -213.0, 43.0),
                  vec3(1206.0, -270.0, 43.0),
                  vec3(1224.0, -363.0, 43.0),
                  vec3(1271.0, -538.0, 43.0),
                  vec3(1380.0, -569.0, 43.0),
                  vec3(1370.0, -757.0, 43.0),
              },
              thickness = 68.0, -- created_zones.lua thickness, paste here
          },
          resetCronExpression = '00 20 * * mon', --on monday at 08:00 PM
          captureDuration = 10,                  --minutes
      },
  ```

## Notes <a href="#notes" id="notes"></a>

```
-- tribute zone event starts automatically on the server when the time defined in resetCronExpression arrives
-- also admins and authorized persons can start the event at any time with the "starttribute" command
-- https://overextended.dev/ox_lib/Modules/Cron/Server#cron-expression
-- https://crontab.guru/#0_20_*_*_fri
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rainmad.com/resources/gangs-territory-wars-and-tribute-zones/add-gang-and-tribute-zone.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
